RFC-4219-120LF
UNKNOWN
Looking for the RFC-4219-120LF? This cable assembly, described by the manufacturer as "RF Industries RF Industries,RFC-4219-120LF,,,,Cable; Coax MHUB - 10ft N Male to N...
CircularTelecomParts Catalogue
Circular Telecom Parts Catalogue
Explore Circular Telecom's catalogue of refurbished, new, and surplus telecom network parts across optics, line cards, routers, switches, modules, power, cooling, and access equipment.
Browse and Enquire
Browse Page 1574
UNKNOWN
Looking for the RFC-4219-120LF? This cable assembly, described by the manufacturer as "RF Industries RF Industries,RFC-4219-120LF,,,,Cable; Coax MHUB - 10ft N Male to N...
Rfi Eng
The RFC-4264-240LF is a network/telecom equipment component manufactured by Rfi Eng. It is available through Circular Telecom's surplus and refurbished network...
Cent Steel
Looking for the Cent Steel RFC5901? This network/telecom equipment component, described by the manufacturer as "END CAPS", is stocked and resold through Circular...
UNKNOWN
RFCH701: a cable assembly (CAP RUBBER 1-1/2 IN CABLE RUNWAY CENTRAL STEEL FABRICATORS CO). Circular Telecom resells surplus and refurbished units of parts like this,...
Panduit
The Panduit RFEAT104LC9 is a network/telecom equipment component — originally specified as "FIBER ADAPTER PANEL 104" — available refurbished or as surplus stock via...
CommScope
CommScope RFFT-36SM-001-125M: a cable assembly (HELIAX FIBERFEED BEND INSENSITIVE SINGLEMODE FIBER DLC TO DLC 36-FIBER CABLE ASSEMBLY). Circular Telecom resells surplus...
CommScope
Manufactured by CommScope, the RFFT-36SM-001-15M (HELIAX FIBERFEED BEND INSENSITIVE SINGLEMODE FIBER DLC TO DLC 36-FIBER CABLE ASSEMBLY) is a cable assembly. Circular...
CommScope
The CommScope RFFT-36SM-001-500 is a cable assembly — originally specified as "CONNECTOR CABLE" — available refurbished or as surplus stock via Circular Telecom,...
Panduit
The RFG12X8SMY is a network/telecom equipment component manufactured by Panduit. Listed by the manufacturer as "RAISED FLOOR GROMMET", it is available through Circular...
equipment chassis
Cisco
Manufactured by Cisco, the RFGW-1 (RFGW-1 CHASSIS INCLUDING FPD, FAN and IO MODULES SPARE) is an equipment chassis. Circular Telecom sources, tests, and resells surplus...
equipment module
Cisco
Manufactured by Cisco, the RFGW-1-D (RF Gateway Module) is an equipment module. Circular Telecom sources, tests, and resells surplus and refurbished Cisco equipment...
cooling fan module
Cisco
Manufactured by Cisco, the RFGW-1-FAN (RFGW-1 FAN MODULE.) is a cooling fan module. Circular Telecom sources, tests, and resells surplus and refurbished Cisco equipment...
equipment module
Cisco
Looking for the Cisco RFGW-1-IO-MOD? This equipment module, described by the manufacturer as "RFGW-1-D I/O MODULE.", is stocked and resold through Circular Telecom's...
power supply unit
Cisco
Manufactured by Cisco, the RFGW-1-PS-AC (AC POWER SUPPLY MODULE) is a power supply unit. Circular Telecom sources, tests, and resells surplus and refurbished Cisco...
power supply unit
Cisco
The Cisco RFGW-1-PS-DC is a power supply unit — originally specified as "RFGW-1 DC Power Supply Module" — available refurbished or as surplus stock via Circular...
equipment module
Cisco
Looking for the Cisco RFGW-1-QAM-MOD? This equipment module, described by the manufacturer as "QAM MODULE (2x4QAM)", is stocked and resold through Circular Telecom's...
network/telecom equipment component
Cisco
The RFGW-10 is a network/telecom equipment component manufactured by Cisco. Listed by the manufacturer as "RFGW-10", it is available through Circular Telecom's surplus...
cooling fan module
Cisco
The Cisco RFGW-10-FAN-ASSY is a cooling fan module — originally specified as "RFGW-10 fan assembly" — available refurbished or as surplus stock via Circular Telecom,...
network/telecom equipment component
Cisco
Cisco RFGW-10-PWR-DC1: a network/telecom equipment component (RFGW DC PEM with monitoring). Circular Telecom resells surplus and refurbished units of parts like this,...
network switch
Cisco
Looking for the Cisco RFGW-10-RFSW-COVER? This network switch, described by the manufacturer as "SWITCH CARD COVER", is stocked and resold through Circular Telecom's...
network switch
Cisco
The Cisco RFGW-10-RFSW1 is a network switch — originally specified as "RFGW RF Switch v1" — available refurbished or as surplus stock via Circular Telecom, supporting...
network switch
Cisco
Looking for the Cisco RFGW-1D? This network switch, described by the manufacturer as "Switch EQAM Cisco RFGW-1D (96 QAM)", is stocked and resold through Circular...
circuit card / line card
Cisco
Cisco RFGW-DS384: a circuit card / line card (RFGW DS384 Universal Downstream EQAM Card, base hardware). Circular Telecom resells surplus and refurbished units of parts...
circuit card / line card
Cisco
Looking for the Cisco RFGW-DS48? This circuit card / line card, described by the manufacturer as "RFGW Universal Downstream EQAM Card, 48 QAMs", is stocked and resold...
circuit card / line card
Cisco
Cisco RFGW-DS48-1G: a circuit card / line card (RFGW Universal Downstream Universal Edge QAM Card, 12 RF ports, 48 QAMs). Circular Telecom resells surplus and...
circuit card / line card
Cisco
The RFGW-LC-COVER is a circuit card / line card manufactured by Cisco. Listed by the manufacturer as "RFGW LINE CARD COVER SPARE", it is available through Circular...
optical network terminal (ONT)
Cisco
Manufactured by Cisco, the RFGW-TCC1 (RFGW Timing, Communication, and Control Card v1) is an optical network terminal (ONT). Circular Telecom sources, tests, and...
optical network terminal (ONT)
Cisco
Cisco RFGW-TCC1V04: an optical network terminal (ONT) (RFGW Timing, Communication, and Control Card v1). Circular Telecom resells surplus and refurbished units of parts...
SFP+ optical transceiver
Cisco
The RFGW-X45-SUP7-E is a SFP+ optical transceiver manufactured by Cisco. Listed by the manufacturer as "RFGW Supervisor 7-E, 4xSFP+ (10/1GE)", it is available through...
Rfi Eng
The Rfi Eng RFMA-1135UH06WS03 is an antenna — originally specified as "UNIVERSAL MICROWAVE ANTENNA" — available refurbished or as surplus stock via Circular Telecom,...
Rfi Eng
The Rfi Eng RFMA-1839UH06S03 is an antenna — originally specified as "17.1-19.7 GHz HIGH PERFORMANCE MICROWAVE ANTENNA" — available refurbished or as surplus stock via...
Aastra
Looking for the Aastra RFP22? This network/telecom equipment component, described by the manufacturer as "Aastra DeTeWe RFP 22 Indoor DECT Base Station RFP 22 DECT", is...
Mitel
The Mitel RFP35IP is a network/telecom equipment component — originally specified as "SIP-DECT indoor base station" — available refurbished or as surplus stock via...
Mitel
The RFP36IP is a network/telecom equipment component manufactured by Mitel. Listed by the manufacturer as "SIP-DECT Base Station", it is available through Circular...
Mitel
The Mitel RFP45 is a network/telecom equipment component — originally specified as "RFP 45 DECT Base Station" — available refurbished or as surplus stock via Circular...
Viewteq
The RFS-002 is a network switch manufactured by Viewteq. Listed by the manufacturer as "SENSING SWITCH", it is available through Circular Telecom's surplus and...
Motorola
Motorola RFS-4010-00010-WR: a network switch (RFS4000 WIRELESS CONTROLLER SWITCH). Circular Telecom resells surplus and refurbished units of parts like this, helping...
Pdi Com
Looking for the Pdi Com RFSG-3CH-01? This network/telecom equipment component, described by the manufacturer as "RF SIGNAL GENERATOR KIT", is stocked and resold through...
Ceragon
Manufactured by Ceragon, the RFU-CX-F-18-TL (FibeAir RFU-C, 18GHz, TX 17700-18140, RX 19260-19700, Tx/Rx Spacing 1560, ITU-R F.595-8, CEPT 12- 03E) is a network/telecom...
Ceragon
The Ceragon RFU-CX-F-23-H-TH is a network/telecom equipment component — originally specified as "23GHz HIGH BAND TX HIGH" — available refurbished or as surplus stock...
Ceragon
The RFU-CX1M-F-18-TL is an optical transceiver manufactured by Ceragon. Listed by the manufacturer as "FIBEAIR RFU-C TRANSCEIVER", it is available through Circular...
Ceragon
Ceragon RFU-D-11: a network/telecom equipment component (RFU-D-11). Circular Telecom resells surplus and refurbished units of parts like this, helping operators extend...
Ceragon
The Ceragon RFU-HP-1R-6L is a network/telecom equipment component — originally specified as "Ceragon 6G ODU: RFU-HP" — available refurbished or as surplus stock via...
Samsung
Manufactured by Samsung, the RFV01U-D2A (RADIO ANTENNA) is an antenna. Circular Telecom sources, tests, and resells surplus and refurbished Samsung equipment like this...
ADC Telecommunications
The RFX-FWDAMP-20F is a circuit card / line card manufactured by ADC Telecommunications. Listed by the manufacturer as "RF WORX CARD", it is available through Circular...
Panduit
Panduit RFZBA1.5X4: a network/telecom equipment component (BRACKET KIT). Circular Telecom resells surplus and refurbished units of parts like this, helping operators...
Thirdparty
The RG-AP740-I is a wireless access point manufactured by Thirdparty. Listed by the manufacturer as "RUIJIE 802.11ac Wave2 Wireless AP access point", it is available...
3Par
Manufactured by 3Par, the RG-RAP1261 (Ruijie AX3000 Wi-Fi 6 dual-band Gigabit in-wall AP Specifications: Built-in antennas, 2) is an antenna. Circular Telecom sources,...